import request from '@/utils/request.js'
// 获取所有人员列表
export function getALLUserList() {
  return request({
    url: '/system/dept/userDeptList',
    method: 'get'
  })
}
// 查看编制人群
export function getEntryPersons(taskId) {
  return request({
    url: '/control/assignPerson/getEntryPersons/' + taskId,
    method: 'get',
  })
}
// 查询列表表头
export function getTemplateHeaderlist(query){
  return request({
    url: '/control/templateHeader/list',
    method: 'get',
    params: query
  })
}
// 查询CCAP编制任务COP列表
export function getCOPList(query){
  return request({
    url:'/control/cop/list',
    method: 'get',
    params: query
  })
}
// 查询描述列表
export function getCCAPPlanDescriptions(descriptionsData) {
  return request({
    url: '/control/compilationTask/getCompilationTaskInfo',
    method: 'get',
    params: descriptionsData
  })
}
// 转交任务接口
export function updateTransferTask(data) {
  return request({
    url: '/control/compilationTask/transTask',
    method: 'put',
    data: data
  })
}
// 设置是否需要确认和校对人
export function updateIsNeedConfirm(data) {
  return request({
    url: '/control/ccapkeyProcess/setConfirmAndCheckPerson',
    method: 'put',
    data: data
  })
}
// 分配任务接口
export function updateAssignTask(data) {
  return request({
    url: '/control/assignPerson/processAssignTask',
    method: 'put',
    data: data
  })
}
// 完成填写接口
export function updateFinishTask(data) {
  return request({
    url: '/control/assignPerson/dynamicFinishEntry',
    method: 'put',
    data: data
  })
}
// 取消完成接口
export function updateCancelFinishTask(data) {
  return request({
    url: '/control/assignPerson/dynamicCancelFinishEntry',
    method: 'put',
    data: data
  })
}
// 确认提交接口
export function updateSubmitTask(data) {
  return request({
    url: '/control/ccapPlan/btnConfirm',
    method: 'put',
    data: data
  })
}
// 查询CCAP控制计划变更履历列表
export function getCCAPPlanChangeList(planId,taskId) {
  return request({
    url: '/control/ccapPlan/changeLog/preview',
    method: 'get',
    params: {
      planId,
      taskId
    }
  })
}


