import request from '@/utils/request.js'

// 查询列表表头
export function getTemplateHeaderlist(query){
  return request({
    url: '/control/templateHeader/list',
    method: 'get',
    params: query
  })
}

// 查询CCAP编制任务关键工序列表
export function getKeyProcessList(query){
  return request({
    url:'/control/ccapkeyProcess/list',
    method: 'get',
    params: query
  })
}

// 查看编制人群
export function getCompilationPerson(taskId){
  return request({
    url:'/control/assignPerson/getEntryPersons/' + taskId,
    method: 'get'
  })
}

// 设置是否需要确认人和校对人
export function settingConfirmAndCheck(data){
  return request({
    url:'/control/ccapkeyProcess/setConfirmAndCheckPerson',
    method: 'put',
    data: data
  })
}

// 添加人员接口
export function addPersonUserId(data){
  return request({
    url:'/control/compilationTask/addProcessUserIds',
    method: 'put',
    data: data
  })
}

// 转交任务接口
export function updateTransferTask(data) {
  return request({
    url: '/control/compilationTask/transTask',
    method: 'put',
    data: data
  })
}

// 退出任务接口
export function exitPersonUserId(data){
  return request({
    url:'/control/compilationTask/removeProcessUserIds',
    method: 'put',
    data: data
  })
}

// 引用预制数据接口
export function addByPreData(data){
  return request({
    url:'/control/ccapkeyProcess/addByPreData',
    method: 'post',
    data: data
  })
}

// 新增行接口
export function addKeyProcessRow(data){
  return request({
    url:'/control/ccapkeyProcess',
    method: 'post',
    data: data
  })
}

// 编辑动态表头编制接口
export function editProcessDetail(data){
  return request({
    url:'/control/dynamicTemplateData',
    method: 'put',
    data: data
  })
}

// 标记问题接口
export function editFlagIssue(data){
  return request({
    url:'/control/assignPerson/flagIssue',
    method: 'put',
    data: data
  })
}
