import request from '@/utils/request'

// 查询CQC编制上方表头
export function listCqcCompilationTask(query) {
  return request({
    url: '/control/compilationTask/getCqcCompilationTaskInfo',
    method: 'get',
    params: query
  })
}

// 查询CQC编制关键零部件信息详细
export function getCQCKeyList(query) {
  return request({
    url: '/control/cqcKeyParts/list',
    method: 'get',
    params: query
  })
}

// 新增CQC编制关键零部件信息
export function addParts(data) {
  return request({
    url: '/control/parts',
    method: 'post',
    data: data
  })
}

// 修改CQC编制关键零部件信息
export function updateParts(data) {
  return request({
    url: '/control/parts',
    method: 'put',
    data: data
  })
}

// 删除CQC编制关键零部件信息
export function delParts(id) {
  return request({
    url: '/control/parts/' + id,
    method: 'delete'
  })
}
// 微调
export function cqcKeyParts(data) {
  return request({
    url: '/control/cqcKeyParts',
    method: 'put',
    data: data
  })
}

//查看变更履历
export function getCQCPlanChangeList(controlPlanId,taskId) {
  return request({
    url: '/control/cqcPlan/changeLog/list',
    method: 'get',
    params: {
      controlPlanId,
      taskId
    }
  })
}

//获取专业部门列表
export function listProfessionalDepartment(query) {
  return request({
    url: '/control/cqcKeyParts/professionalDepartmentList',
    method: 'get',
    params: query
  })
}
