import request from '@/utils/request'

// 查询保证计划书管理列表
export function listDirection(query) {
  return request({
    url: '/control/direction/list',
    method: 'get',
    params: query,
  })
}
// 查询历史保证计划书管理列表
export function listHistoryDirection(query) {
  return request({
    url: '/control/direction/historicalList',
    method: 'get',
    params: query,
  })
}

// 查询保证计划书管理详细
export function getDirection(data) {
  return request({
    url: '/control/direction/details',
    method: 'post',
    data: data,
  })
}

// 新增保证计划书
export function addDirection(data) {
  return request({
    url: '/control/direction/add',
    method: 'post',
    data: data,
  })
}
// 撤销保证计划书
export function cancelDirection(id) {
  return request({
    url: '/control/direction/revoke/' + id,
    method: 'get',
  })
}
// 修改保证计划书管理
export function updateDirection(data) {
  return request({
    url: '/control/direction',
    method: 'put',
    data: data,
  })
}
//修改编制负责人
export function editInitiatePeople(data) {
  return request({
    url: '/control/direction/editInitiatePeople',
    method: 'post',
    data: data,
  })
}
// 删除保证计划书管理
export function delDirection(id) {
  return request({
    url: '/control/direction/' + id,
    method: 'delete',
  })
}
// 查询国际市场组
export function listInternationalMarketGroup(query) {
  return request({
    url: '/control/ControlInternationalMarketGroup/getOriginAllMaerketGroup',
    method: 'get',
    params: query,
  })
}
/** 查询市场组下是否有人维护保证书 */
export function selectGuarantyByMarket(query) {
  return request({
    url: '/control/direction/selectGuarantyByMarket',
    method: 'get',
    params: query,
  })
}
/** 获取事业部关联和市场组关联的车型代码*/
export function listVehicleModelByDeptAndMarket(query) {
  return request({
    url: '/control/direction/vehicleModel',
    method: 'get',
    params: query,
  })
}
// 获取所有人员列表
export function getALLUserList() {
  return request({
    url: '/system/dept/userDeptList',
    method: 'get',
  })
}
/** 查询当前控制计划的三个编制负责人 */
export function getInitiatePeople(guarantyId) {
  return request({
    url: '/control/direction/selectInitiatePeople/' + guarantyId,
    method: 'get',
  })
}
