import request from '@/utils/request'

// 查询保证书编制任务处理列表
export function listTask(query) {
  return request({
    url: '/control/handle/list',
    method: 'get',
    params: query,
  })
}

// 查询保证书编制任务处理详细
export function getTask(data) {
  return request({
    url: '/control/handle/details',
    method: 'post',
    data: data,
  })
}

// 删除保证书编制任务处理
export function delTask(id) {
  return request({
    url: '/control/handle/' + id,
    method: 'delete',
  })
}

// 新增保证书编制任务处理
export function addTask(data) {
  return request({
    url: '/control/handle/edit',
    method: 'post',
    data: data,
  })
}

// 分配任务
export function distributeTask(data) {
  return request({
    url: '/control/handle/distribute',
    method: 'post',
    data: data,
  })
}
//批量填写完成
export function batchComplete(id) {
  return request({
    url: '/control/handle/complete' + id,
    method: 'get',
  })
}
//审批
export function approveTask(data) {
  return request({
    url: '/control/handle/approve',
    method: 'post',
    data: data,
  })
}
//批准
export function authorizeTask(data) {
  return request({
    url: '/control/handle/authorize',
    method: 'post',
    data: data,
  })
}
//转交任务
export function transferTask(data) {
  return request({
    url: '/control/handle/transfer',
    method: 'post',
    data: data,
  })
}
