import request from '@/utils/request'

// 查询封面2.1维护内容列表
export function listMaintenance21(query) {
  return request({
    url: '/control/maintenance/list21',
    method: 'get',
    params: query
  })
}

// 查询封面2.1维护内容列表
export function listMaintenance22(query) {
  return request({
    url: '/control/maintenance/list22',
    method: 'get',
    params: query
  })
}

// 修改封面维护内容
export function updateMaintenance(data) {
  return request({
    url: '/control/maintenance/edit',
    method: 'put',
    data: data
  })
}

// 取消完成
export function cancelComplete(id) {
  return request({
    url: '/control/maintenance/cancelFinish/' + id,
    method: 'put'
  })
}

// 拉取车型公告号
export function getCarTypeNotice(coverId) {
  return request({
    url: '/control/maintenance/pullVehicleAnnouncementNumber' + coverId,
    method: 'put'
  })
}

// 拉取车型代码
export function getCarTypeCode(coverId) {
  return request({
    url: '/control/maintenance/pullVehicleModelCode' + coverId,
    method: 'put'
  })
}

// 2.1完成维护
export function completeMaintenance(id) {
  return request({
    url: '/control/maintenance/completeTheMaintenance21/' + id,
    method: 'put'
  })
}

// 2.2完成维护
export function completeMaintenance22(id) {
  return request({
    url: '/control/maintenance/completeTheMaintenance22/' + id,
    method: 'put'
  })
}

// 内容维护维护阶段-分页查询封面
export function listMaintenanceStage(query) {
  return request({
    url: '/control/coverManagement/maintenancePhase',
    method: 'get',
    params: query
  })
}

// 内容维护审批通过-分页查询封面
export function listMaintenanceApproval(query) {
  return request({
    url: '/control/coverManagement/approvePass',
    method: 'get',
    params: query
  })
}
