import request from '@/utils/request'

// 查询封面列表
export function listCoverManagement(query) {
  return request({
    url: '/control/coverManagement/list',
    method: 'get',
    params: query
  })
}

// 查询历史封面
export function listHistoryCoverManagement(query) {
  return request({
    url: '/control/coverManagement/hisList',
    method: 'get',
    params: query
  })
}

// 变更封面
export function changeCoverManagement(id) {
  return request({
    url: '/control/coverManagement/changeCover/' + id,
    method: 'get'
  })
}

// 查看内容维护
export function getCoverManagementContent(query) {
  return request({
    url: '/control/coverManagement/getContentMaintenance',
    method: 'get',
    params: query
  })
}

// 取消完成
export function cancelComplete(id) {
  return request({
    url: '/control/coverManagement/cancelFinish/' + id,
    method: 'put'
  })
}

// 撤销
export function revoke(id) {
  return request({
    url: '/control/coverManagement/revoke/' + id,
    method: 'put'
  })
}

// 生成文件
export function generateFile(id) {
  return request({
    url: '/control/coverManagement/generateFile/' + id,
    method: 'put'
  })
}

// 重新生成文件
export function reGenerateFile(id) {
  return request({
    url: '/control/coverManagement/reGenerateFile/' + id,
    method: 'put'
  })
}

// 开启内容维护
export function openContentMaintenance(id) {
  return request({
    url: '/control/coverManagement/openContentMaintenance/' + id,
    method: 'put'
  })
}

// 提交到OA
export function submitToOA(id) {
  return request({
    url: '/control/coverManagement/submitToOA/' + id,
    method: 'put'
  })
}

// 提醒下载
export function remindDownload(id) {
  return request({
    url: '/control/coverManagement/remindDownload/' + id,
    method: 'put'
  })
}

// 查询封面详细
export function getCoverManagement(id) {
  return request({
    url: '/control/coverManagement/select/' + id,
    method: 'get'
  })
}

// 修改封面
export function updateCoverManagement(data) {
  return request({
    url: '/control/coverManagement/update',
    method: 'put',
    data: data
  })
}

// 逻辑删除封面
export function delCoverManagement(id) {
  return request({
    url: '/control/coverManagement/' + id,
    method: 'delete'
  })
}
